# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PlanarExtent Class Reference

`#include <StepVisual_PlanarExtent.hxx>`

Inheritance diagram for StepVisual_PlanarExtent:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_PlanarExtent ()
| Returns a PlanarExtent .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Real aSizeInX, const Standard_Real aSizeInY)
Standard_EXPORT void | SetSizeInX (const Standard_Real aSizeInX)
Standard_EXPORT Standard_Real | SizeInX () const
Standard_EXPORT void | SetSizeInY (const Standard_Real aSizeInY)
Standard_EXPORT Standard_Real | SizeInY () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | sizeInX
Standard_Real | sizeInY

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PlanarExtent::StepVisual_PlanarExtent | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PlanarExtent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem. Reimplemented in StepVisual_PlanarBox.

virtual Standard_EXPORT void StepVisual_PlanarExtent::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Real | aSizeInX,
|  | const Standard_Real | aSizeInY
| ) | `[virtual]`

| Reimplemented in StepVisual_PlanarBox.

virtual Standard_EXPORT void StepVisual_PlanarExtent::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepVisual_PlanarExtent::SetSizeInX | ( | const Standard_Real | aSizeInX | ) |

Standard_EXPORT void StepVisual_PlanarExtent::SetSizeInY | ( | const Standard_Real | aSizeInY | ) |

Standard_EXPORT Standard_Real StepVisual_PlanarExtent::SizeInX | ( |  | ) | const

Standard_EXPORT Standard_Real StepVisual_PlanarExtent::SizeInY | ( |  | ) | const

## Field Documentation

Standard_Real StepVisual_PlanarExtent::sizeInX `[private]`

Standard_Real StepVisual_PlanarExtent::sizeInY `[private]`

The documentation for this class was generated from the following file:

- StepVisual_PlanarExtent.hxx